<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<xsl:stylesheet version="1.0" cda:dummy-for-xmlns="" crs:dummy-for-xmlns="" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sch="http://www.ascc.net/xml/schematron" xmlns:cda="urn:hl7-org:v3" xmlns:crs="urn:hl7-org:crs">
<xsl:output method="xml" omit-xml-declaration="no" standalone="yes" encoding="UTF-8" indent="yes" />
<xsl:template match="*|@*" mode="schematron-get-full-path">
<xsl:apply-templates select="parent::*" mode="schematron-get-full-path" />
<xsl:text>/</xsl:text>
<xsl:if test="count(. | ../@*) = count(../@*)">@</xsl:if>
<xsl:value-of select="name()" />
<xsl:text>[</xsl:text>
<xsl:value-of select="1+count(preceding-sibling::*[name()=name(current())])" />
<xsl:text>]</xsl:text>
</xsl:template>
<xsl:template match="/"><schematron-output title="Schematron schema for validating conformance to IMPL_CDAR2_LEfVEL1-2REF_US_I3_2006JAN" schemaVersion="" phase="#ALL">
<ns uri="urn:hl7-org:v3" prefix="cda" /><ns uri="urn:hl7-org:crs" prefix="crs" /><active-pattern name="ClinicalDocument"><text>This schema applies to CDA Release 2.0 documents.</text><xsl:apply-templates /></active-pattern><xsl:apply-templates select="/" mode="M6" /><active-pattern name="ClinicalDocument_General_Constraints_Warnings"><xsl:apply-templates /></active-pattern><xsl:apply-templates select="/" mode="M7" /><active-pattern name="ClinicalDocument_General_Constraints"><xsl:apply-templates /></active-pattern><xsl:apply-templates select="/" mode="M8" /><active-pattern name="Telephone_Numbers"><xsl:apply-templates /></active-pattern><xsl:apply-templates select="/" mode="M9" /><active-pattern name="ClinicalDocument_typeId"><xsl:apply-templates /></active-pattern><xsl:apply-templates select="/" mode="M10" /><active-pattern name="ClinicalDocument_templateId"><xsl:apply-templates /></active-pattern><xsl:apply-templates select="/" mode="M11" /><active-pattern name="ClinicalDocument_id"><xsl:apply-templates /></active-pattern><xsl:apply-templates select="/" mode="M12" /><active-pattern name="ClinicalDocument_code"><xsl:apply-templates /></active-pattern><xsl:apply-templates select="/" mode="M13" /><active-pattern name="ClinicalDocument_code_manual"><xsl:apply-templates /></active-pattern><xsl:apply-templates select="/" mode="M14" /><active-pattern name="ClinicalDocument_languageCode"><xsl:apply-templates /></active-pattern><xsl:apply-templates select="/" mode="M15" /><active-pattern name="ClinicalDocument_setId"><xsl:apply-templates /></active-pattern><xsl:apply-templates select="/" mode="M16" /><active-pattern name="ClinicalDocument_copyTime"><xsl:apply-templates /></active-pattern><xsl:apply-templates select="/" mode="M17" /><active-pattern name="recordTarget"><xsl:apply-templates /></active-pattern><xsl:apply-templates select="/" mode="M18" /><active-pattern name="recordTarget_warnings"><xsl:apply-templates /></active-pattern><xsl:apply-templates select="/" mode="M19" /><active-pattern name="author"><xsl:apply-templates /></active-pattern><xsl:apply-templates select="/" mode="M20" /><active-pattern name="dataEnterer"><xsl:apply-templates /></active-pattern><xsl:apply-templates select="/" mode="M21" /><active-pattern name="informant"><xsl:apply-templates /></active-pattern><xsl:apply-templates select="/" mode="M22" /><active-pattern name="informant-2"><xsl:apply-templates /></active-pattern><xsl:apply-templates select="/" mode="M23" /><active-pattern name="informant_warnings"><xsl:apply-templates /></active-pattern><xsl:apply-templates select="/" mode="M24" /><active-pattern name="informationRecipient"><xsl:apply-templates /></active-pattern><xsl:apply-templates select="/" mode="M25" /><active-pattern name="legalAuthenticator"><xsl:apply-templates /></active-pattern><xsl:apply-templates select="/" mode="M26" /><active-pattern name="authenticator"><xsl:apply-templates /></active-pattern><xsl:apply-templates select="/" mode="M27" /><active-pattern name="participant"><xsl:apply-templates /></active-pattern><xsl:apply-templates select="/" mode="M28" /><active-pattern name="documentationOf"><xsl:apply-templates /></active-pattern><xsl:apply-templates select="/" mode="M29" /><active-pattern name="documentationOf_warnings"><xsl:apply-templates /></active-pattern><xsl:apply-templates select="/" mode="M30" /><active-pattern name="componentOf"><xsl:apply-templates /></active-pattern><xsl:apply-templates select="/" mode="M31" /><active-pattern name="nonXMLBody_warnings"><xsl:apply-templates /></active-pattern><xsl:apply-templates select="/" mode="M32" /><active-pattern name="Body"><xsl:apply-templates /></active-pattern><xsl:apply-templates select="/" mode="M33" /><active-pattern name="Body_manual"><xsl:apply-templates /></active-pattern><xsl:apply-templates select="/" mode="M34" /></schematron-output>
</xsl:template>
<xsl:template match="/*" priority="3999" mode="M6">
<fired-rule id="cda-root" context="/*" role="" />
<xsl:choose>
<xsl:when test="self::cda:ClinicalDocument" />
<xsl:otherwise>
<failed-assert id="" test="self::cda:ClinicalDocument" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<text>Error: The root of a Care Record Summary must be a <emph>ClinicalDocument</emph> element from the <emph>urn:hl7-org-v3</emph> namespace.</text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M6" />
</xsl:template>
<xsl:template match="text()" priority="-1" mode="M6" />
<xsl:template match="cda:guardian|cda:dataEnterer/cda:assignedEntity|cda:relatedEntity|cda:intendedRecipient|&#xA;            cda:relatedSubject|cda:participantRole" priority="4000" mode="M7">
<fired-rule id="assigned-person-warnings" context="cda:guardian|cda:dataEnterer/cda:assignedEntity|cda:relatedEntity|cda:intendedRecipient|&#xA;            cda:relatedSubject|cda:participantRole" role="" />
<xsl:choose>
<xsl:when test="cda:addr" />
<xsl:otherwise>
<failed-assert id="" test="cda:addr" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-3">Warning: All <emph>guardian</emph> , <emph>dataEnterer/assignedEntity</emph> , <emph>relatedEntity</emph> , <emph>intendedRecipient</emph> , <emph>relatedSubject</emph> and <emph>participantRole </emph> elements should have an <emph>addr</emph> and <emph>telecom</emph> element <emph>.</emph> </diagnostic>
<text>Warning: Missing addr element.</text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="cda:telecom" />
<xsl:otherwise>
<failed-assert id="" test="cda:telecom" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-3">Warning: All <emph>guardian</emph> , <emph>dataEnterer/assignedEntity</emph> , <emph>relatedEntity</emph> , <emph>intendedRecipient</emph> , <emph>relatedSubject</emph> and <emph>participantRole </emph> elements should have an <emph>addr</emph> and <emph>telecom</emph> element <emph>.</emph> </diagnostic>
<text>Warning: Missing telecom element.</text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M7" />
</xsl:template>
<xsl:template match="cda:authenticator/cda:time | &#xA;            cda:author/cda:time | &#xA;            cda:dataEnterer/cda:time | &#xA;            cda:legalAuthenticator/cda:time | &#xA;            cda:ClinicalDocument/cda:effectiveTime | &#xA;            cda:encompassingEncounter/cda:effectiveTime | &#xA;            cda:encompassingEncounter/cda:effectiveTime/cda:low |&#xA;            cda:encompassingEncounter/cda:effectiveTime/cda:center |&#xA;            cda:encompassingEncounter/cda:effectiveTime/cda:high" priority="3999" mode="M7">
<fired-rule id="general-time-req-warnings" context="cda:authenticator/cda:time | &#xA;            cda:author/cda:time | &#xA;            cda:dataEnterer/cda:time | &#xA;            cda:legalAuthenticator/cda:time | &#xA;            cda:ClinicalDocument/cda:effectiveTime | &#xA;            cda:encompassingEncounter/cda:effectiveTime | &#xA;            cda:encompassingEncounter/cda:effectiveTime/cda:low |&#xA;            cda:encompassingEncounter/cda:effectiveTime/cda:center |&#xA;            cda:encompassingEncounter/cda:effectiveTime/cda:high" role="" />
<xsl:choose>
<xsl:when test="not(@value) or string-length(@value) &gt; 18" />
<xsl:otherwise>
<failed-assert id="" test="not(@value) or string-length(@value) &gt; 18" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-5">Times or time intervals found in the <emph>ClinicalDocument/effectiveTime</emph> , <emph>author/time</emph> , <emph>dataEnterer/time</emph> , <emph>legalAuthenticator/time</emph> , <emph>authenticator/time </emph> and <emph>encompassingEncounter/effectiveTime</emph> elements shall be precise to the day, shall include a time zone if more precise than to the day, and should be precise to the second.</diagnostic>
<text>Warning: This should be precise to the second.</text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M7" />
</xsl:template>
<xsl:template match="cda:patient/cda:birthTime | &#xA;            &#xA;            cda:ClinicalDocument/cda:participant/cda:time | &#xA;            cda:encompassingEncounter/cda:effectiveTime |&#xA;            cda:asOrganizationPartOf/cda:effectiveTime | &#xA;            cda:asMaintainedEntity/cda:effectiveTime | &#xA;            cda:relatedEntity/cda:effectiveTime | &#xA;            cda:serviceEvent/cda:effectiveTime |&#xA;            &#xA;            cda:ClinicalDocument/cda:participant/cda:time/cda:low | &#xA;            cda:encompassingEncounter/cda:effectiveTime/cda:low |&#xA;            cda:asOrganizationPartOf/cda:effectiveTime/cda:low | &#xA;            cda:asMaintainedEntity/cda:effectiveTime/cda:low | &#xA;            cda:relatedEntity/cda:effectiveTime/cda:low | &#xA;            cda:serviceEvent/cda:effectiveTime/cda:low | &#xA;            &#xA;            cda:ClinicalDocument/cda:participant/cda:time/cda:center | &#xA;            cda:encompassingEncounter/cda:effectiveTime/cda:center |&#xA;            cda:asOrganizationPartOf/cda:effectiveTime/cda:center | &#xA;            cda:asMaintainedEntity/cda:effectiveTime/cda:center | &#xA;            cda:relatedEntity/cda:effectiveTime/cda:center | &#xA;            cda:serviceEvent/cda:effectiveTime/cda:center | &#xA;            &#xA;            cda:ClinicalDocument/cda:participant/cda:time/cda:high | &#xA;            cda:encompassingEncounter/cda:effectiveTime/cda:high |&#xA;            cda:asOrganizationPartOf/cda:effectiveTime/cda:high | &#xA;            cda:asMaintainedEntity/cda:effectiveTime/cda:high | &#xA;            cda:relatedEntity/cda:effectiveTime/cda:high | &#xA;            cda:serviceEvent/cda:effectiveTime/cda:high&#xA;            &#xA;            " priority="3998" mode="M7">
<fired-rule id="general-time-req-2-warnings" context="cda:patient/cda:birthTime | &#xA;            &#xA;            cda:ClinicalDocument/cda:participant/cda:time | &#xA;            cda:encompassingEncounter/cda:effectiveTime |&#xA;            cda:asOrganizationPartOf/cda:effectiveTime | &#xA;            cda:asMaintainedEntity/cda:effectiveTime | &#xA;            cda:relatedEntity/cda:effectiveTime | &#xA;            cda:serviceEvent/cda:effectiveTime |&#xA;            &#xA;            cda:ClinicalDocument/cda:participant/cda:time/cda:low | &#xA;            cda:encompassingEncounter/cda:effectiveTime/cda:low |&#xA;            cda:asOrganizationPartOf/cda:effectiveTime/cda:low | &#xA;            cda:asMaintainedEntity/cda:effectiveTime/cda:low | &#xA;            cda:relatedEntity/cda:effectiveTime/cda:low | &#xA;            cda:serviceEvent/cda:effectiveTime/cda:low | &#xA;            &#xA;            cda:ClinicalDocument/cda:participant/cda:time/cda:center | &#xA;            cda:encompassingEncounter/cda:effectiveTime/cda:center |&#xA;            cda:asOrganizationPartOf/cda:effectiveTime/cda:center | &#xA;            cda:asMaintainedEntity/cda:effectiveTime/cda:center | &#xA;            cda:relatedEntity/cda:effectiveTime/cda:center | &#xA;            cda:serviceEvent/cda:effectiveTime/cda:center | &#xA;            &#xA;            cda:ClinicalDocument/cda:participant/cda:time/cda:high | &#xA;            cda:encompassingEncounter/cda:effectiveTime/cda:high |&#xA;            cda:asOrganizationPartOf/cda:effectiveTime/cda:high | &#xA;            cda:asMaintainedEntity/cda:effectiveTime/cda:high | &#xA;            cda:relatedEntity/cda:effectiveTime/cda:high | &#xA;            cda:serviceEvent/cda:effectiveTime/cda:high&#xA;            &#xA;            " role="" />
<xsl:choose>
<xsl:when test="not(@value) or string-length(@value) &gt; 7" />
<xsl:otherwise>
<failed-assert id="" test="not(@value) or string-length(@value) &gt; 7" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-7">Times or time intervals found in the <emph>patient/birthTime</emph> , <emph>asOrganizationPartOf/effectiveTime</emph> , <emph>asMaintainedEntity/effectiveTime</emph> , <emph>relatedEntity</emph> / <emph>effectiveTime</emph> , <emph>serviceEvent</emph> / <emph>effectiveTime</emph> , <emph>ClinicalDocument/participant/time</emph> , <emph>serviceEvent/performer/time</emph> and <emph>encounterParticipant/time</emph> shall be precise at least to the year, should be precise to the day, and may omit time zone.</diagnostic>
<text>Warning: This should be precise to the day.</text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M7" />
</xsl:template>
<xsl:template match="text()" priority="-1" mode="M7" />
<xsl:template match="cda:addr[@nullFlavor != &quot;&quot;]" priority="4000" mode="M8">
<fired-rule id="general-addr-null" context="cda:addr[@nullFlavor != &quot;&quot;]" role="" />
<xsl:choose>
<xsl:when test="normalize-space(.) = &quot;&quot;" />
<xsl:otherwise>
<failed-assert id="null-or-no-content" test="normalize-space(.) = &quot;&quot;" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<text>Error: When the <emph>addr</emph> element is null, it must not have content.</text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M8" />
</xsl:template>
<xsl:template match="cda:addr[@nullFlavor = &quot;&quot;]" priority="3999" mode="M8">
<fired-rule id="general-addr-not-null" context="cda:addr[@nullFlavor = &quot;&quot;]" role="" />
<xsl:choose>
<xsl:when test="string-length(normalize-space(.)) &gt; 0" />
<xsl:otherwise>
<failed-assert id="empty-implies-null" test="string-length(normalize-space(.)) &gt; 0" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<text>Error: When the <emph>addr</emph> element is empty, it must have a value for <emph>nullFlavor</emph> .</text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M8" />
</xsl:template>
<xsl:template match="cda:patient|cda:guardianPerson|cda:assignedPerson|cda:maintainingPerson|&#xA;            cda:relatedPerson|cda:intendedRecipient/cda:informationRecipient|cda:associatedPerson|&#xA;            cda:relatedSubject/cda:subject" priority="3998" mode="M8">
<fired-rule id="general-person" context="cda:patient|cda:guardianPerson|cda:assignedPerson|cda:maintainingPerson|&#xA;            cda:relatedPerson|cda:intendedRecipient/cda:informationRecipient|cda:associatedPerson|&#xA;            cda:relatedSubject/cda:subject" role="" />
<xsl:choose>
<xsl:when test="cda:name" />
<xsl:otherwise>
<failed-assert id="" test="cda:name" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-1">Error: All <emph>patient</emph> , <emph>guardianPerson</emph> , <emph>assignedPerson</emph> , <emph>maintainingPerson</emph> , <emph>relatedPerson</emph> , <emph>intendedRecipient/informationRecipient</emph> , <emph>associatedPerson</emph> , and <emph>relatedSubject/subject</emph> elements shall have a <emph>name</emph> .</diagnostic>
<text></text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M8" />
</xsl:template>
<xsl:template match="cda:patientRole|cda:assignedAuthor|cda:assignedEntity|cda:associatedEntity" priority="3997" mode="M8">
<fired-rule id="assigned-person" context="cda:patientRole|cda:assignedAuthor|cda:assignedEntity|cda:associatedEntity" role="" />
<xsl:choose>
<xsl:when test="cda:addr or ../self::cda:dataEnterer" />
<xsl:otherwise>
<failed-assert id="" test="cda:addr or ../self::cda:dataEnterer" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-2">Error: All <emph>patientRole</emph> , <emph>assignedAuthor</emph> , <emph>assignedEntity[not(parent::dataEnterer)]</emph> and <emph>associatedEntity</emph> elements shall have an <emph>addr</emph> and <emph>telecom</emph> element <emph>.</emph> </diagnostic>
<text>Error: Missing addr element.</text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="cda:telecom or ../self::cda:dataEnterer" />
<xsl:otherwise>
<failed-assert id="" test="cda:telecom or ../self::cda:dataEnterer" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-2">Error: All <emph>patientRole</emph> , <emph>assignedAuthor</emph> , <emph>assignedEntity[not(parent::dataEnterer)]</emph> and <emph>associatedEntity</emph> elements shall have an <emph>addr</emph> and <emph>telecom</emph> element <emph>.</emph> </diagnostic>
<text>Error: Missing telecom element.</text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M8" />
</xsl:template>
<xsl:template match="cda:guardianOrganization|cda:providerOrganization|cda:wholeOrganization|&#xA;            cda:representedOrganization|cda:recievedOrganization|cda:scopingOrganization|&#xA;            cda:serviceProviderOrganization" priority="3996" mode="M8">
<fired-rule id="general-org" context="cda:guardianOrganization|cda:providerOrganization|cda:wholeOrganization|&#xA;            cda:representedOrganization|cda:recievedOrganization|cda:scopingOrganization|&#xA;            cda:serviceProviderOrganization" role="" />
<xsl:choose>
<xsl:when test="cda:name" />
<xsl:otherwise>
<failed-assert id="" test="cda:name" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-4">Error: All <emph>guardianOrganization</emph> , <emph>providerOrganization</emph> , <emph>wholeOrganization</emph> , <emph>representedOrganization</emph> , <emph>representedCustodianOrganization</emph> , <emph>recievedOrganization</emph> , <emph>scopingOrganization</emph> and <emph>serviceProviderOrganization</emph> elements shall have <emph>name</emph> , <emph>addr</emph> and <emph>telecom</emph> elements <emph>.</emph> </diagnostic>
<text>Error: Missing name element.</text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="cda:addr" />
<xsl:otherwise>
<failed-assert id="" test="cda:addr" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-4">Error: All <emph>guardianOrganization</emph> , <emph>providerOrganization</emph> , <emph>wholeOrganization</emph> , <emph>representedOrganization</emph> , <emph>representedCustodianOrganization</emph> , <emph>recievedOrganization</emph> , <emph>scopingOrganization</emph> and <emph>serviceProviderOrganization</emph> elements shall have <emph>name</emph> , <emph>addr</emph> and <emph>telecom</emph> elements <emph>.</emph> </diagnostic>
<text>Error: Missing addr element.</text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="cda:telecom" />
<xsl:otherwise>
<failed-assert id="" test="cda:telecom" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-4">Error: All <emph>guardianOrganization</emph> , <emph>providerOrganization</emph> , <emph>wholeOrganization</emph> , <emph>representedOrganization</emph> , <emph>representedCustodianOrganization</emph> , <emph>recievedOrganization</emph> , <emph>scopingOrganization</emph> and <emph>serviceProviderOrganization</emph> elements shall have <emph>name</emph> , <emph>addr</emph> and <emph>telecom</emph> elements <emph>.</emph> </diagnostic>
<text>Error: Missing telecom element.</text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M8" />
</xsl:template>
<xsl:template match="cda:authenticator/cda:time | &#xA;            cda:author/cda:time | &#xA;            cda:dataEnterer/cda:time | &#xA;            cda:legalAuthenticator/cda:time | &#xA;            cda:ClinicalDocument/cda:effectiveTime | &#xA;            cda:encompassingEncounter/cda:effectiveTime | &#xA;            cda:encompassingEncounter/cda:effectiveTime/cda:low |&#xA;            cda:encompassingEncounter/cda:effectiveTime/cda:center |&#xA;            cda:encompassingEncounter/cda:effectiveTime/cda:high" priority="3995" mode="M8">
<fired-rule id="general-time-req" context="cda:authenticator/cda:time | &#xA;            cda:author/cda:time | &#xA;            cda:dataEnterer/cda:time | &#xA;            cda:legalAuthenticator/cda:time | &#xA;            cda:ClinicalDocument/cda:effectiveTime | &#xA;            cda:encompassingEncounter/cda:effectiveTime | &#xA;            cda:encompassingEncounter/cda:effectiveTime/cda:low |&#xA;            cda:encompassingEncounter/cda:effectiveTime/cda:center |&#xA;            cda:encompassingEncounter/cda:effectiveTime/cda:high" role="" />
<xsl:choose>
<xsl:when test="not(@value) or string-length(@value) &gt; 7" />
<xsl:otherwise>
<failed-assert id="" test="not(@value) or string-length(@value) &gt; 7" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-5">Times or time intervals found in the <emph>ClinicalDocument/effectiveTime</emph> , <emph>author/time</emph> , <emph>dataEnterer/time</emph> , <emph>legalAuthenticator/time</emph> , <emph>authenticator/time </emph> and <emph>encompassingEncounter/effectiveTime</emph> elements shall be precise to the day, shall include a time zone if more precise than to the day, and should be precise to the second.</diagnostic>
<text>Error: This must be precise to the day.</text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="not(@value) or &#xA;                (not(contains(translate(@value,&quot;+-&quot;,&quot;ZZ&quot;),&quot;Z&quot;)) and string-length(@value) &gt; 7) or &#xA;                string-length(substring-before(translate(@value,&quot;+-&quot;,&quot;ZZ&quot;),&quot;Z&quot;)) &gt; 7" />
<xsl:otherwise>
<failed-assert id="" test="not(@value) or (not(contains(translate(@value,&quot;+-&quot;,&quot;ZZ&quot;),&quot;Z&quot;)) and string-length(@value) &gt; 7) or string-length(substring-before(translate(@value,&quot;+-&quot;,&quot;ZZ&quot;),&quot;Z&quot;)) &gt; 7" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-5">Times or time intervals found in the <emph>ClinicalDocument/effectiveTime</emph> , <emph>author/time</emph> , <emph>dataEnterer/time</emph> , <emph>legalAuthenticator/time</emph> , <emph>authenticator/time </emph> and <emph>encompassingEncounter/effectiveTime</emph> elements shall be precise to the day, shall include a time zone if more precise than to the day, and should be precise to the second.</diagnostic>
<text>Error: If precision is to less than the hour, no time zone shall be present.</text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="contains(translate(@value,&quot;+-&quot;,&quot;ZZ&quot;),&quot;Z&quot;) or string-length(@value) &lt; 9" />
<xsl:otherwise>
<failed-assert id="" test="contains(translate(@value,&quot;+-&quot;,&quot;ZZ&quot;),&quot;Z&quot;) or string-length(@value) &lt; 9" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-5">Times or time intervals found in the <emph>ClinicalDocument/effectiveTime</emph> , <emph>author/time</emph> , <emph>dataEnterer/time</emph> , <emph>legalAuthenticator/time</emph> , <emph>authenticator/time </emph> and <emph>encompassingEncounter/effectiveTime</emph> elements shall be precise to the day, shall include a time zone if more precise than to the day, and should be precise to the second.</diagnostic>
<text></text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M8" />
</xsl:template>
<xsl:template match="cda:encompassingEncounter | cda:serviceEvent" priority="3994" mode="M8">
<fired-rule id="general-time-effectiveTime-IVL_TS" context="cda:encompassingEncounter | cda:serviceEvent" role="" />
<xsl:choose>
<xsl:when test="count(cda:effectiveTime/@value | &#xA;                cda:effectiveTime/cda:low/@value | &#xA;                cda:effectiveTime/cda:high/@value | &#xA;                cda:effectiveTime/cda:center/@value) &gt; 0" />
<xsl:otherwise>
<failed-assert id="" test="count(cda:effectiveTime/@value | cda:effectiveTime/cda:low/@value | cda:effectiveTime/cda:high/@value | cda:effectiveTime/cda:center/@value) &gt; 0" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-7">Times or time intervals found in the <emph>patient/birthTime</emph> , <emph>asOrganizationPartOf/effectiveTime</emph> , <emph>asMaintainedEntity/effectiveTime</emph> , <emph>relatedEntity</emph> / <emph>effectiveTime</emph> , <emph>serviceEvent</emph> / <emph>effectiveTime</emph> , <emph>ClinicalDocument/participant/time</emph> , <emph>serviceEvent/performer/time</emph> and <emph>encounterParticipant/time</emph> shall be precise at least to the year, should be precise to the day, and may omit time zone.</diagnostic>
<text>Error: An effectiveTime value must be present.</text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M8" />
</xsl:template>
<xsl:template match="cda:patient/cda:birthTime | &#xA;            &#xA;            cda:ClinicalDocument/cda:participant/cda:time | &#xA;            cda:encompassingEncounter/cda:effectiveTime |&#xA;            cda:asOrganizationPartOf/cda:effectiveTime | &#xA;            cda:asMaintainedEntity/cda:effectiveTime | &#xA;            cda:relatedEntity/cda:effectiveTime | &#xA;            cda:serviceEvent/cda:effectiveTime |&#xA;            &#xA;            cda:ClinicalDocument/cda:participant/cda:time/cda:low | &#xA;            cda:encompassingEncounter/cda:effectiveTime/cda:low |&#xA;            cda:asOrganizationPartOf/cda:effectiveTime/cda:low | &#xA;            cda:asMaintainedEntity/cda:effectiveTime/cda:low | &#xA;            cda:relatedEntity/cda:effectiveTime/cda:low | &#xA;            cda:serviceEvent/cda:effectiveTime/cda:low | &#xA;            &#xA;            cda:ClinicalDocument/cda:participant/cda:time/cda:center | &#xA;            cda:encompassingEncounter/cda:effectiveTime/cda:center |&#xA;            cda:asOrganizationPartOf/cda:effectiveTime/cda:center | &#xA;            cda:asMaintainedEntity/cda:effectiveTime/cda:center | &#xA;            cda:relatedEntity/cda:effectiveTime/cda:center | &#xA;            cda:serviceEvent/cda:effectiveTime/cda:center | &#xA;            &#xA;            cda:ClinicalDocument/cda:participant/cda:time/cda:high | &#xA;            cda:encompassingEncounter/cda:effectiveTime/cda:high |&#xA;            cda:asOrganizationPartOf/cda:effectiveTime/cda:high | &#xA;            cda:asMaintainedEntity/cda:effectiveTime/cda:high | &#xA;            cda:relatedEntity/cda:effectiveTime/cda:high | &#xA;            cda:serviceEvent/cda:effectiveTime/cda:high" priority="3993" mode="M8">
<fired-rule id="general-time-req-2" context="cda:patient/cda:birthTime | &#xA;            &#xA;            cda:ClinicalDocument/cda:participant/cda:time | &#xA;            cda:encompassingEncounter/cda:effectiveTime |&#xA;            cda:asOrganizationPartOf/cda:effectiveTime | &#xA;            cda:asMaintainedEntity/cda:effectiveTime | &#xA;            cda:relatedEntity/cda:effectiveTime | &#xA;            cda:serviceEvent/cda:effectiveTime |&#xA;            &#xA;            cda:ClinicalDocument/cda:participant/cda:time/cda:low | &#xA;            cda:encompassingEncounter/cda:effectiveTime/cda:low |&#xA;            cda:asOrganizationPartOf/cda:effectiveTime/cda:low | &#xA;            cda:asMaintainedEntity/cda:effectiveTime/cda:low | &#xA;            cda:relatedEntity/cda:effectiveTime/cda:low | &#xA;            cda:serviceEvent/cda:effectiveTime/cda:low | &#xA;            &#xA;            cda:ClinicalDocument/cda:participant/cda:time/cda:center | &#xA;            cda:encompassingEncounter/cda:effectiveTime/cda:center |&#xA;            cda:asOrganizationPartOf/cda:effectiveTime/cda:center | &#xA;            cda:asMaintainedEntity/cda:effectiveTime/cda:center | &#xA;            cda:relatedEntity/cda:effectiveTime/cda:center | &#xA;            cda:serviceEvent/cda:effectiveTime/cda:center | &#xA;            &#xA;            cda:ClinicalDocument/cda:participant/cda:time/cda:high | &#xA;            cda:encompassingEncounter/cda:effectiveTime/cda:high |&#xA;            cda:asOrganizationPartOf/cda:effectiveTime/cda:high | &#xA;            cda:asMaintainedEntity/cda:effectiveTime/cda:high | &#xA;            cda:relatedEntity/cda:effectiveTime/cda:high | &#xA;            cda:serviceEvent/cda:effectiveTime/cda:high" role="" />
<xsl:choose>
<xsl:when test="not(@value) or string-length(@value) &gt; 4" />
<xsl:otherwise>
<failed-assert id="" test="not(@value) or string-length(@value) &gt; 4" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-7">Times or time intervals found in the <emph>patient/birthTime</emph> , <emph>asOrganizationPartOf/effectiveTime</emph> , <emph>asMaintainedEntity/effectiveTime</emph> , <emph>relatedEntity</emph> / <emph>effectiveTime</emph> , <emph>serviceEvent</emph> / <emph>effectiveTime</emph> , <emph>ClinicalDocument/participant/time</emph> , <emph>serviceEvent/performer/time</emph> and <emph>encounterParticipant/time</emph> shall be precise at least to the year, should be precise to the day, and may omit time zone.</diagnostic>
<text>Error: This must be precise to the year.</text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="not(@value) or contains(translate(@value,&quot;+-&quot;,&quot;ZZ&quot;),&quot;Z&quot;) or string-length(@value) &lt; 9" />
<xsl:otherwise>
<failed-assert id="" test="not(@value) or contains(translate(@value,&quot;+-&quot;,&quot;ZZ&quot;),&quot;Z&quot;) or string-length(@value) &lt; 9" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-7">Times or time intervals found in the <emph>patient/birthTime</emph> , <emph>asOrganizationPartOf/effectiveTime</emph> , <emph>asMaintainedEntity/effectiveTime</emph> , <emph>relatedEntity</emph> / <emph>effectiveTime</emph> , <emph>serviceEvent</emph> / <emph>effectiveTime</emph> , <emph>ClinicalDocument/participant/time</emph> , <emph>serviceEvent/performer/time</emph> and <emph>encounterParticipant/time</emph> shall be precise at least to the year, should be precise to the day, and may omit time zone.</diagnostic>
<text>Error: If precision is to less than the hour, no time zone shall be present.</text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="not(@value) or string-length(@value) &gt; 7" />
<xsl:otherwise>
<failed-assert id="" test="not(@value) or string-length(@value) &gt; 7" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-7">Times or time intervals found in the <emph>patient/birthTime</emph> , <emph>asOrganizationPartOf/effectiveTime</emph> , <emph>asMaintainedEntity/effectiveTime</emph> , <emph>relatedEntity</emph> / <emph>effectiveTime</emph> , <emph>serviceEvent</emph> / <emph>effectiveTime</emph> , <emph>ClinicalDocument/participant/time</emph> , <emph>serviceEvent/performer/time</emph> and <emph>encounterParticipant/time</emph> shall be precise at least to the year, should be precise to the day, and may omit time zone.</diagnostic>
<text>Warning: This should be precise to the day.</text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M8" />
</xsl:template>
<xsl:template match="text()" priority="-1" mode="M8" />
<xsl:template match="cda:telecom" priority="4000" mode="M9">
<fired-rule id="telcom-null-or-valued" context="cda:telecom" role="" />
<xsl:choose>
<xsl:when test="@value or @nullFlavor" />
<xsl:otherwise>
<failed-assert id="" test="@value or @nullFlavor" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<text>A telecom element must have a value or a flavor of null.</text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="not(substring(@value,1,4) = &quot;tel:&quot;) or&#xA;                string-length(&#xA;                concat(translate(substring(@value,5,1),&quot;+0123456789()-.&quot;,&quot;&quot;),&#xA;                translate(substring(@value,6),&quot;0123456789()-.&quot;,&quot;&quot;) )&#xA;                ) = 0" />
<xsl:otherwise>
<failed-assert id="telcom-regex" test="not(substring(@value,1,4) = &quot;tel:&quot;) or string-length( concat(translate(substring(@value,5,1),&quot;+0123456789()-.&quot;,&quot;&quot;), translate(substring(@value,6),&quot;0123456789()-.&quot;,&quot;&quot;) ) ) = 0" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-8">Error: Telephone numbers shall match the regular expression pattern <emph>tel:\+?[-0-9().]+</emph> </diagnostic>
<text></text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="not(substring(@value,1,4) = &quot;tel:&quot;) or&#xA;                string-length(&#xA;                concat(&#xA;                translate(substring(@value,5,1),&quot;+()-.&quot;,&quot;&quot;),&#xA;                translate(substring(@value,6),&quot;()-.&quot;,&quot;&quot;)    &#xA;                ) ) &gt; 0" />
<xsl:otherwise>
<failed-assert id="telcom-has-digit" test="not(substring(@value,1,4) = &quot;tel:&quot;) or string-length( concat( translate(substring(@value,5,1),&quot;+()-.&quot;,&quot;&quot;), translate(substring(@value,6),&quot;()-.&quot;,&quot;&quot;) ) ) &gt; 0" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-9">Error: At least one dialing digit shall be present in the phone number after visual separators are removed.</diagnostic>
<text></text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M9" />
</xsl:template>
<xsl:template match="text()" priority="-1" mode="M9" />
<xsl:template match="/cda:ClinicalDocument/cda:typeId" priority="4000" mode="M10">
<fired-rule id="cda-typeid" context="/cda:ClinicalDocument/cda:typeId" role="" />
<xsl:choose>
<xsl:when test="@extension = &quot;POCD_HD000040&quot;" />
<xsl:otherwise>
<failed-assert id="typeId-extension" test="@extension = &quot;POCD_HD000040&quot;" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-10">Error: The <emph>extension</emph> attribute of the <emph>typeId</emph> element shall be <emph>POCD_HD000040</emph> .</diagnostic>
<text></text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M10" />
</xsl:template>
<xsl:template match="text()" priority="-1" mode="M10" />
<xsl:template match="/cda:ClinicalDocument" priority="4000" mode="M11">
<fired-rule id="cda-templateid" context="/cda:ClinicalDocument" role="" />
<xsl:choose>
<xsl:when test="cda:templateId[@extension = &quot;IMPL_CDAR2_LEVEL1&quot; and @root=&quot;2.16.840.1.113883.10&quot;]" />
<xsl:otherwise>
<failed-assert id="templateId-extension" test="cda:templateId[@extension = &quot;IMPL_CDAR2_LEVEL1&quot; and @root=&quot;2.16.840.1.113883.10&quot;]" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-11">Error: A <emph>ClinicalDocument/templateId</emph> element shall be present where the value of <emph>@extension</emph> is <emph>IMPL_CDAR2_LEVEL1</emph> and the value of <emph>@root</emph> is <emph>2.16.840.1.113883.10</emph> .</diagnostic>
<text></text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M11" />
</xsl:template>
<xsl:template match="text()" priority="-1" mode="M11" />
<xsl:template match="/cda:ClinicalDocument/cda:id[contains(@root, '-')]" priority="4000" mode="M12">
<fired-rule id="cda-id-uuid" context="/cda:ClinicalDocument/cda:id[contains(@root, '-')]" role="" />
<xsl:choose>
<xsl:when test="string-length(@root) = 37" />
<xsl:otherwise>
<failed-assert id="" test="string-length(@root) = 37" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-12">Error: The <emph>ClinicalDocument/id/@root</emph> attribute shall be a syntactically correct UUID or OID.</diagnostic>
<diagnostic id="L1-13">Error: UUIDs shall be represented in the form <emph>XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX</emph> , where each X is a character from the set [A-Fa-f0-9].</diagnostic>
<text>A properly formatted UUID has only 37 characters.</text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="translate(substring(@root, 1, 8),'ABCDEFabcdef0123456789','') = ''" />
<xsl:otherwise>
<failed-assert id="" test="translate(substring(@root, 1, 8),'ABCDEFabcdef0123456789','') = ''" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-12">Error: The <emph>ClinicalDocument/id/@root</emph> attribute shall be a syntactically correct UUID or OID.</diagnostic>
<diagnostic id="L1-13">Error: UUIDs shall be represented in the form <emph>XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX</emph> , where each X is a character from the set [A-Fa-f0-9].</diagnostic>
<text>The first four data bytes of the UUID should be represented using hexidecimal digits ([A-Fa-f0-9]).</text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="translate(substring(@root, 10, 4),'ABCDEFabcdef0123456789','') = ''" />
<xsl:otherwise>
<failed-assert id="" test="translate(substring(@root, 10, 4),'ABCDEFabcdef0123456789','') = ''" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-12">Error: The <emph>ClinicalDocument/id/@root</emph> attribute shall be a syntactically correct UUID or OID.</diagnostic>
<diagnostic id="L1-13">Error: UUIDs shall be represented in the form <emph>XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX</emph> , where each X is a character from the set [A-Fa-f0-9].</diagnostic>
<text>The fifth and sixth data bytes of the UUID should be represented using hexidecimal digits ([A-Fa-f0-9]).</text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="translate(substring(@root, 15, 4),'ABCDEFabcdef0123456789','') = ''" />
<xsl:otherwise>
<failed-assert id="" test="translate(substring(@root, 15, 4),'ABCDEFabcdef0123456789','') = ''" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-12">Error: The <emph>ClinicalDocument/id/@root</emph> attribute shall be a syntactically correct UUID or OID.</diagnostic>
<diagnostic id="L1-13">Error: UUIDs shall be represented in the form <emph>XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX</emph> , where each X is a character from the set [A-Fa-f0-9].</diagnostic>
<text>The seventh and eighth data bytes of the UUID should be represented using hexidecimal digits ([A-Fa-f0-9]).</text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="translate(substring(@root, 20, 4),'ABCDEFabcdef0123456789','') = ''" />
<xsl:otherwise>
<failed-assert id="" test="translate(substring(@root, 20, 4),'ABCDEFabcdef0123456789','') = ''" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-12">Error: The <emph>ClinicalDocument/id/@root</emph> attribute shall be a syntactically correct UUID or OID.</diagnostic>
<diagnostic id="L1-13">Error: UUIDs shall be represented in the form <emph>XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX</emph> , where each X is a character from the set [A-Fa-f0-9].</diagnostic>
<text>The ninth and tenth data bytes of the UUID should be represented using hexidecimal digits ([A-Fa-f0-9]).</text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="translate(substring(@root, 25, 12),'ABCDEFabcdef0123456789','') = ''" />
<xsl:otherwise>
<failed-assert id="" test="translate(substring(@root, 25, 12),'ABCDEFabcdef0123456789','') = ''" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-12">Error: The <emph>ClinicalDocument/id/@root</emph> attribute shall be a syntactically correct UUID or OID.</diagnostic>
<diagnostic id="L1-13">Error: UUIDs shall be represented in the form <emph>XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX</emph> , where each X is a character from the set [A-Fa-f0-9].</diagnostic>
<text>The eleventh through sixteenth data bytes of the UUID should be represented using hexidecimal digits ([A-Fa-f0-9]).</text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="substring(@root, 9, 1) = '-'" />
<xsl:otherwise>
<failed-assert id="" test="substring(@root, 9, 1) = '-'" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-12">Error: The <emph>ClinicalDocument/id/@root</emph> attribute shall be a syntactically correct UUID or OID.</diagnostic>
<diagnostic id="L1-13">Error: UUIDs shall be represented in the form <emph>XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX</emph> , where each X is a character from the set [A-Fa-f0-9].</diagnostic>
<text>A hyphen should separate the first four data bytes from the remainder of the UUID.</text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="substring(@root, 14, 1) = '-'" />
<xsl:otherwise>
<failed-assert id="" test="substring(@root, 14, 1) = '-'" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-12">Error: The <emph>ClinicalDocument/id/@root</emph> attribute shall be a syntactically correct UUID or OID.</diagnostic>
<diagnostic id="L1-13">Error: UUIDs shall be represented in the form <emph>XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX</emph> , where each X is a character from the set [A-Fa-f0-9].</diagnostic>
<text>A hyphen should separate the fifth and sixth data byte from the remainder of the UUID.</text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="substring(@root, 19, 1) = '-'" />
<xsl:otherwise>
<failed-assert id="" test="substring(@root, 19, 1) = '-'" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-12">Error: The <emph>ClinicalDocument/id/@root</emph> attribute shall be a syntactically correct UUID or OID.</diagnostic>
<diagnostic id="L1-13">Error: UUIDs shall be represented in the form <emph>XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX</emph> , where each X is a character from the set [A-Fa-f0-9].</diagnostic>
<text>A hyphen should separate the seventh and eighth data byte from the remainder of the UUID.</text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="substring(@root, 24, 1) = '-'" />
<xsl:otherwise>
<failed-assert id="" test="substring(@root, 24, 1) = '-'" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-12">Error: The <emph>ClinicalDocument/id/@root</emph> attribute shall be a syntactically correct UUID or OID.</diagnostic>
<diagnostic id="L1-13">Error: UUIDs shall be represented in the form <emph>XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX</emph> , where each X is a character from the set [A-Fa-f0-9].</diagnostic>
<text>A hyphen should separate the ninth and tenth data byte from the remainder of the UUID.</text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M12" />
</xsl:template>
<xsl:template match="/cda:ClinicalDocument/cda:id[contains(@root, '.')]" priority="3999" mode="M12">
<fired-rule id="cda-id-oid" context="/cda:ClinicalDocument/cda:id[contains(@root, '.')]" role="" />
<xsl:choose>
<xsl:when test="translate(@root, '0123456789.', '') = ''" />
<xsl:otherwise>
<failed-assert id="" test="translate(@root, '0123456789.', '') = ''" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-14">Error: OIDs shall be represented in dotted decimal notation, where each decimal number is either 0, or starts with a non-zero digit. More formally, an OID shall be in the form ([0-2])(.([1-9][0-9]*|0))+.</diagnostic>
<text>Characters that are not in the set 0-9 or . are not present in a valid OID.</text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="not(substring(@root, 1, 1) = '.') and not(substring(@root, string-length(@root), 1) = '.')" />
<xsl:otherwise>
<failed-assert id="" test="not(substring(@root, 1, 1) = '.') and not(substring(@root, string-length(@root), 1) = '.')" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-12">Error: The <emph>ClinicalDocument/id/@root</emph> attribute shall be a syntactically correct UUID or OID.</diagnostic>
<diagnostic id="L1-14">Error: OIDs shall be represented in dotted decimal notation, where each decimal number is either 0, or starts with a non-zero digit. More formally, an OID shall be in the form ([0-2])(.([1-9][0-9]*|0))+.</diagnostic>
<text>The first and last characters of an OID must be a digit.</text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="not(contains(@root,'..'))" />
<xsl:otherwise>
<failed-assert id="" test="not(contains(@root,'..'))" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-12">Error: The <emph>ClinicalDocument/id/@root</emph> attribute shall be a syntactically correct UUID or OID.</diagnostic>
<diagnostic id="L1-14">Error: OIDs shall be represented in dotted decimal notation, where each decimal number is either 0, or starts with a non-zero digit. More formally, an OID shall be in the form ([0-2])(.([1-9][0-9]*|0))+.</diagnostic>
<text>A properly formatted OID should not contain two . characters without any intervening digits</text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="string-length(@root) &lt; 65" />
<xsl:otherwise>
<failed-assert id="" test="string-length(@root) &lt; 65" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-15">Error: OIDs shall be no more than 64 characters in length.</diagnostic>
<text></text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M12" />
</xsl:template>
<xsl:template match="/cda:ClinicalDocument/cda:id[not(contains(@root,&quot;.&quot;) or contains(@root,&quot;-&quot;))]" priority="3998" mode="M12">
<fired-rule id="cda-id" context="/cda:ClinicalDocument/cda:id[not(contains(@root,&quot;.&quot;) or contains(@root,&quot;-&quot;))]" role="" />
<xsl:choose>
<xsl:when test="false()" />
<xsl:otherwise>
<failed-assert id="" test="false()" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-12">Error: The <emph>ClinicalDocument/id/@root</emph> attribute shall be a syntactically correct UUID or OID.</diagnostic>
<text></text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M12" />
</xsl:template>
<xsl:template match="text()" priority="-1" mode="M12" />
<xsl:template match="/cda:ClinicalDocument/cda:code" priority="4000" mode="M13">
<fired-rule id="clinical-document-code" context="/cda:ClinicalDocument/cda:code" role="" />
<xsl:choose>
<xsl:when test="document(&quot;voc.xml&quot;)/systems/system[@codeSystemName=&quot;LOINC&quot;]/code[@value = current()/@code]" />
<xsl:otherwise>
<failed-assert id="" test="document(&quot;voc.xml&quot;)/systems/system[@codeSystemName=&quot;LOINC&quot;]/code[@value = current()/@code]" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-16">Error: For <emph>/ClinicalDocument/code, @code</emph> shall come from the appropriate LOINC code subset listed in Table 2, <emph>@codeSysem</emph> shall be the OID for LOINC, and <emph>@codeSystemName</emph> , if present is LOINC.</diagnostic>
<text>The value of <emph>/ClinicalDocument/code/@code</emph> must come from the appropriate LOINC subset.</text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="@codeSystem = &quot;2.16.840.1.113883.6.1&quot;" />
<xsl:otherwise>
<failed-assert id="" test="@codeSystem = &quot;2.16.840.1.113883.6.1&quot;" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-16">Error: For <emph>/ClinicalDocument/code, @code</emph> shall come from the appropriate LOINC code subset listed in Table 2, <emph>@codeSysem</emph> shall be the OID for LOINC, and <emph>@codeSystemName</emph> , if present is LOINC.</diagnostic>
<text>The value of <emph>/ClinicalDocument/code/@codeSystem</emph> must be 2.16.840.1.113883.6.1</text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="count(@codeSystemName) = 0 or @codeSystemName=&quot;LOINC&quot;" />
<xsl:otherwise>
<failed-assert id="" test="count(@codeSystemName) = 0 or @codeSystemName=&quot;LOINC&quot;" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-16">Error: For <emph>/ClinicalDocument/code, @code</emph> shall come from the appropriate LOINC code subset listed in Table 2, <emph>@codeSysem</emph> shall be the OID for LOINC, and <emph>@codeSystemName</emph> , if present is LOINC.</diagnostic>
<text>The value of <emph>/ClinicalDocument/code/@codeSystemName</emph> must be <emph>LOINC</emph> .</text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M13" />
</xsl:template>
<xsl:template match="text()" priority="-1" mode="M13" />
<xsl:template match="//cda:author/cda:assignedAuthor/cda:code" priority="4000" mode="M14">
<fired-rule id="clinical-document-code-role" context="//cda:author/cda:assignedAuthor/cda:code" role="" />
<xsl:choose>
<xsl:when test="/cda:ClinicalDocument/cda:code[@code = &quot;34133-9&quot; or @code = &quot;18842-5&quot; or @code = &quot;18761-7&quot;]" />
<xsl:otherwise>
<failed-assert id="" test="/cda:ClinicalDocument/cda:code[@code = &quot;34133-9&quot; or @code = &quot;18842-5&quot; or @code = &quot;18761-7&quot;]" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-17">Manual: If pre-coordinated document type codes are used, values used in the <emph>assignedAuthor/code</emph> and <emph>assignedAuthor/author/functionCode</emph> elements shall not conflict with <emph>ClinicalDocument/code</emph> .</diagnostic>
<text>Manual: Verify that the the role code for the author does not conflict with the document type code.</text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M14" />
</xsl:template>
<xsl:template match="//cda:author/cda:functionCode" priority="3999" mode="M14">
<fired-rule id="clinical-document-code-function" context="//cda:author/cda:functionCode" role="" />
<xsl:choose>
<xsl:when test="/cda:ClinicalDocument/cda:code[@code = &quot;34133-9&quot; or @code = &quot;18842-5&quot; or @code = &quot;18761-7&quot;]" />
<xsl:otherwise>
<failed-assert id="" test="/cda:ClinicalDocument/cda:code[@code = &quot;34133-9&quot; or @code = &quot;18842-5&quot; or @code = &quot;18761-7&quot;]" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-18">Manual: If pre-coordinated document type codes are used, values used in <emph>encompassingEncounter/location/healthCareFacility/code</emph> shall not conflict with <emph>ClinicalDocument/code</emph> .</diagnostic>
<text>Manual: Verify that the the function code for author does not conflict with the document type code.</text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M14" />
</xsl:template>
<xsl:template match="//cda:serviceEvent/cda:code" priority="3998" mode="M14">
<fired-rule id="clinical-document-code-service-event" context="//cda:serviceEvent/cda:code" role="" />
<xsl:choose>
<xsl:when test="/cda:ClinicalDocument/cda:code[@code = &quot;34133-9&quot; or @code = &quot;18842-5&quot; or @code = &quot;18761-7&quot;]" />
<xsl:otherwise>
<failed-assert id="" test="/cda:ClinicalDocument/cda:code[@code = &quot;34133-9&quot; or @code = &quot;18842-5&quot; or @code = &quot;18761-7&quot;]" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-52">Manual: If present, the value of <emph>serviceEvent/code</emph> shall not conflict with the <emph>ClininicalDocument/code</emph> .</diagnostic>
<text>Manual: Verify that the code for the serviceEventdoes not conflict with the document type code.</text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M14" />
</xsl:template>
<xsl:template match="text()" priority="-1" mode="M14" />
<xsl:template match="/cda:ClinicalDocument" priority="4000" mode="M15">
<fired-rule id="cda-languageCode" context="/cda:ClinicalDocument" role="" />
<xsl:choose>
<xsl:when test="cda:languageCode" />
<xsl:otherwise>
<failed-assert id="" test="cda:languageCode" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-19">Error: The <emph>languageCode</emph> element shall be present.</diagnostic>
<text>The <emph>languageCode</emph> element must be present.</text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M15" />
</xsl:template>
<xsl:template match="/cda:ClinicalDocument/cda:languageCode" priority="3999" mode="M15">
<fired-rule id="cda-languageCode-format" context="/cda:ClinicalDocument/cda:languageCode" role="" />
<xsl:choose>
<xsl:when test="(string-length(@code) = 5 and substring(@code,3,1) = &quot;-&quot;) or string-length(@code) = 2" />
<xsl:otherwise>
<failed-assert id="" test="(string-length(@code) = 5 and substring(@code,3,1) = &quot;-&quot;) or string-length(@code) = 2" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-20">Error: The language code shall be in the form <emph>nn</emph> , or <emph>nn-CC</emph> .</diagnostic>
<text>The language code must be in the form <emph>nn</emph> , or <emph>nn-CC</emph> .</text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="substring(@code,1,2) = &#xA;                document(&quot;voc.xml&quot;)/systems/system[@codeSystemName=&quot;ISO639-1&quot;]/code/@value" />
<xsl:otherwise>
<failed-assert id="" test="substring(@code,1,2) = document(&quot;voc.xml&quot;)/systems/system[@codeSystemName=&quot;ISO639-1&quot;]/code/@value" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-21">Error: The <emph>nn</emph> portion shall be a legal ISO-639-1 language code in lower case.</diagnostic>
<text>The language must be a legal ISO-639-1 language code in lower case.</text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="string-length(@code) = 2 or substring(@code,4,2) = &#xA;                document(&quot;voc.xml&quot;)/systems/system[@codeSystemName=&quot;ISO3166-1&quot;]/code/@value" />
<xsl:otherwise>
<failed-assert id="" test="string-length(@code) = 2 or substring(@code,4,2) = document(&quot;voc.xml&quot;)/systems/system[@codeSystemName=&quot;ISO3166-1&quot;]/code/@value" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-22">Error: The <emph>CC</emph> portion, if present shall be an ISO-3166 country code in upper case.</diagnostic>
<text>The country code portion, if present must be an ISO-3166 country code in upper case.</text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M15" />
</xsl:template>
<xsl:template match="text()" priority="-1" mode="M15" />
<xsl:template match="/cda:ClinicalDocument" priority="4000" mode="M16">
<fired-rule id="" context="/cda:ClinicalDocument" role="" />
<xsl:choose>
<xsl:when test="count(cda:versionNumber) = count(cda:setId)" />
<xsl:otherwise>
<failed-assert id="" test="count(cda:versionNumber) = count(cda:setId)" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-23">Error: Both <emph>ClinicalDocument/setId</emph> and <emph>ClinicalDocument/versionNumber</emph> shall be present or absent.</diagnostic>
<text></text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="cda:setId/@root != cda:id/@root or cda:setId/@extension != cda:id/@extension" />
<xsl:otherwise>
<failed-assert id="" test="cda:setId/@root != cda:id/@root or cda:setId/@extension != cda:id/@extension" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-24">Error: The <emph>@extension</emph> and/or <emph>@root</emph> of <emph>ClinicalDocument/setId</emph> and <emph>ClinicalDocument/id</emph> are different when both are present.</diagnostic>
<text></text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M16" />
</xsl:template>
<xsl:template match="text()" priority="-1" mode="M16" />
<xsl:template match="/cda:ClinicalDocument/cda:copyTime" priority="4000" mode="M17">
<fired-rule id="cda-copyTime" context="/cda:ClinicalDocument/cda:copyTime" role="" />
<xsl:choose>
<xsl:when test="false()" />
<xsl:otherwise>
<failed-assert id="" test="false()" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-25">Error: A <emph> ClinicalDocument/copyTime</emph> element shall not be present.</diagnostic>
<text></text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M17" />
</xsl:template>
<xsl:template match="text()" priority="-1" mode="M17" />
<xsl:template match="cda:recordTarget" priority="4000" mode="M18">
<fired-rule id="cda-recordTarget" context="cda:recordTarget" role="" />
<xsl:choose>
<xsl:when test="count(cda:patientRole) &gt; 0" />
<xsl:otherwise>
<failed-assert id="" test="count(cda:patientRole) &gt; 0" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-26">Error: At least one <emph>recordTarget/patientRole</emph> element shall be present.</diagnostic>
<text></text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M18" />
</xsl:template>
<xsl:template match="cda:recordTarget/cda:patientRole/cda:patient" priority="3999" mode="M18">
<fired-rule id="cda-patient" context="cda:recordTarget/cda:patientRole/cda:patient" role="" />
<xsl:choose>
<xsl:when test="cda:birthTime" />
<xsl:otherwise>
<failed-assert id="" test="cda:birthTime" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-27">Error: A <emph>patient/birthTime</emph> element shall be present.</diagnostic>
<text></text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="cda:administrativeGenderCode" />
<xsl:otherwise>
<failed-assert id="" test="cda:administrativeGenderCode" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-28">Error: A <emph>patient/administrativeGenderCode</emph> element shall be present.</diagnostic>
<text></text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M18" />
</xsl:template>
<xsl:template match="text()" priority="-1" mode="M18" />
<xsl:template match="cda:recordTarget/cda:patientRole/cda:patient" priority="4000" mode="M19">
<fired-rule id="cda-recordTarget-warnings" context="cda:recordTarget/cda:patientRole/cda:patient" role="" />
<xsl:choose>
<xsl:when test="not(cda:maritalStatusCode) or cda:maritalStatusCode/@codeSystem = &quot;&quot;" />
<xsl:otherwise>
<failed-assert id="" test="not(cda:maritalStatusCode) or cda:maritalStatusCode/@codeSystem = &quot;&quot;" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-29">Warning: If <emph>maritalStatusCode</emph> , <emph>religiousAffiliationCode</emph> , <emph>raceCode</emph> and <emph>ethnicGroupCode</emph> elements are present, they should be encoded using appropriate HL7 vocabularies.</diagnostic>
<text></text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="not(cda:religiousAffiliationCode) or cda:religiousAffiliationCode/@codeSystem = &quot;&quot;" />
<xsl:otherwise>
<failed-assert id="" test="not(cda:religiousAffiliationCode) or cda:religiousAffiliationCode/@codeSystem = &quot;&quot;" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-29">Warning: If <emph>maritalStatusCode</emph> , <emph>religiousAffiliationCode</emph> , <emph>raceCode</emph> and <emph>ethnicGroupCode</emph> elements are present, they should be encoded using appropriate HL7 vocabularies.</diagnostic>
<text></text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="not(cda:raceCode) or cda:raceCode/@codeSystem = &quot;&quot;" />
<xsl:otherwise>
<failed-assert id="" test="not(cda:raceCode) or cda:raceCode/@codeSystem = &quot;&quot;" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-29">Warning: If <emph>maritalStatusCode</emph> , <emph>religiousAffiliationCode</emph> , <emph>raceCode</emph> and <emph>ethnicGroupCode</emph> elements are present, they should be encoded using appropriate HL7 vocabularies.</diagnostic>
<text></text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="not(cda:ethnicGroupCode) or cda:ethnicGroupCode/@codeSystem = &quot;&quot;" />
<xsl:otherwise>
<failed-assert id="" test="not(cda:ethnicGroupCode) or cda:ethnicGroupCode/@codeSystem = &quot;&quot;" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-29">Warning: If <emph>maritalStatusCode</emph> , <emph>religiousAffiliationCode</emph> , <emph>raceCode</emph> and <emph>ethnicGroupCode</emph> elements are present, they should be encoded using appropriate HL7 vocabularies.</diagnostic>
<text></text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="concat(number(substring(/cda:ClinicalDocument/cda:effectiveTime/@value,1,4)) - 18,&#xA;                substring(/cda:ClinicalDocument/cda:effectiveTime/@value, 5, 4)) &gt;&#xA;                substring(concat(substring(cda:birthTime/@value, 1, 8),&quot;00000000&quot;), 1, 8) or &#xA;                count(cda:guardian) &gt; 1" />
<xsl:otherwise>
<failed-assert id="" test="concat(number(substring(/cda:ClinicalDocument/cda:effectiveTime/@value,1,4)) - 18, substring(/cda:ClinicalDocument/cda:effectiveTime/@value, 5, 4)) &gt; substring(concat(substring(cda:birthTime/@value, 1, 8),&quot;00000000&quot;), 1, 8) or count(cda:guardian) &gt; 1" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-30">Warning: The <emph>guardian</emph> element should be present when the patient is a minor child.</diagnostic>
<text></text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M19" />
</xsl:template>
<xsl:template match="text()" priority="-1" mode="M19" />
<xsl:template match="cda:author" priority="4000" mode="M20">
<fired-rule id="cda-author" context="cda:author" role="" />
<xsl:choose>
<xsl:when test="cda:time" />
<xsl:otherwise>
<failed-assert id="" test="cda:time" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-31">Error: The <emph>author/time</emph> element shall be present.</diagnostic>
<text></text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M20" />
</xsl:template>
<xsl:template match="cda:assignedAuthor" priority="3999" mode="M20">
<fired-rule id="cda-assignedAuthor" context="cda:assignedAuthor" role="" />
<xsl:choose>
<xsl:when test="cda:id" />
<xsl:otherwise>
<failed-assert id="" test="cda:id" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-32">Error: The <emph>assignedAuthor/id</emph> element shall be present.</diagnostic>
<text></text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="cda:assignedPerson | cda:assignedAuthoringDevice" />
<xsl:otherwise>
<failed-assert id="" test="cda:assignedPerson | cda:assignedAuthoringDevice" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-33">Error: An <emph>assignedAuthor</emph> element shall contain at least one <emph>assignedPerson</emph> or <emph>assignedAuthoringDevice</emph> elements.</diagnostic>
<text></text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M20" />
</xsl:template>
<xsl:template match="cda:assignedAuthoringDevice" priority="3998" mode="M20">
<fired-rule id="cda-assignedAuthoringDevice" context="cda:assignedAuthoringDevice" role="" />
<xsl:choose>
<xsl:when test="cda:softwareName" />
<xsl:otherwise>
<failed-assert id="" test="cda:softwareName" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-34">Error: When <emph>assignedAuthoringDevice</emph> is present, the <emph>softwareName</emph> element shall be present.</diagnostic>
<text>When <emph>assignedAuthoringDevice</emph> is present, the <emph>softwareName</emph> element must be present.</text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="string-length(normalize-space(cda:softwareName)) &gt; 0" />
<xsl:otherwise>
<failed-assert id="" test="string-length(normalize-space(cda:softwareName)) &gt; 0" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-34">Error: When <emph>assignedAuthoringDevice</emph> is present, the <emph>softwareName</emph> element shall be present.</diagnostic>
<text>When <emph>assignedAuthoringDevice/softwareName</emph> must have a value.</text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M20" />
</xsl:template>
<xsl:template match="text()" priority="-1" mode="M20" />
<xsl:template match="cda:dataEnterer" priority="4000" mode="M21">
<fired-rule id="cda-dataEnterer" context="cda:dataEnterer" role="" />
<xsl:choose>
<xsl:when test="cda:assignedEntity/cda:assignedPerson" />
<xsl:otherwise>
<failed-assert id="" test="cda:assignedEntity/cda:assignedPerson" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-35">Error: When <emph>dataEnterer </emph> is present, an <emph>assignedEntity/assignedPerson</emph> element shall be present.</diagnostic>
<text></text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M21" />
</xsl:template>
<xsl:template match="text()" priority="-1" mode="M21" />
<xsl:template match="cda:informant/cda:relatedEntity" priority="4000" mode="M22">
<fired-rule id="cda-informant" context="cda:informant/cda:relatedEntity" role="" />
<xsl:choose>
<xsl:when test="@classCode = &quot;CON&quot; or @classCode = &quot;PRS&quot; or @classCode = &quot;PROV&quot;" />
<xsl:otherwise>
<failed-assert id="" test="@classCode = &quot;CON&quot; or @classCode = &quot;PRS&quot; or @classCode = &quot;PROV&quot;" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-36">Error: If the <emph>informant</emph> is a mutual relation, the type of relationship shall be specified in <emph>relatedEntity/@classCode</emph> , and shall be <emph>CON</emph> , <emph>PRS</emph> or <emph>PROV</emph> from the <emph>RoleClass</emph> vocabulary.</diagnostic>
<text></text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M22" />
</xsl:template>
<xsl:template match="cda:informant" priority="3999" mode="M22">
<fired-rule id="cda-informant-person" context="cda:informant" role="" />
<xsl:choose>
<xsl:when test="cda:relatedEntity/cda:relatedPerson | cda:assignedEntity/cda:assignedPerson" />
<xsl:otherwise>
<failed-assert id="" test="cda:relatedEntity/cda:relatedPerson | cda:assignedEntity/cda:assignedPerson" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-37">Error: When <emph>informant</emph> is present, an <emph>assignedEntity/assignedPerson</emph> or <emph>relatedEntity/relatedPerson</emph> element shall be present.</diagnostic>
<text></text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="not(descendant::crs:asPatientRelationship)" />
<xsl:otherwise>
<failed-assert id="" test="not(descendant::crs:asPatientRelationship)" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-69">An <emph>informant</emph> should not have any <emph>assignedEntity/assignedPerson/crs:asPatientRelationship</emph> elements, or <emph>relatedEntity/relatedPerson/crs:asPatientRelationship</emph> elements.</diagnostic>
<text></text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M22" />
</xsl:template>
<xsl:template match="text()" priority="-1" mode="M22" />
<xsl:template match="cda:informant/cda:relatedEntity[@classCode = &quot;PRS&quot;]" priority="4000" mode="M23">
<fired-rule id="cda-relatedEntity-PRS" context="cda:informant/cda:relatedEntity[@classCode = &quot;PRS&quot;]" role="" />
<xsl:choose>
<xsl:when test="cda:code/@codeSystem = &quot;2.16.840.1.113883.5.111&quot; and cda:code/@code = document(&quot;voc.xml&quot;)/systems/system[@codeSystemName=&quot;PersonalRelationshipRoleType&quot;]/code/@value" />
<xsl:otherwise>
<failed-assert id="" test="cda:code/@codeSystem = &quot;2.16.840.1.113883.5.111&quot; and cda:code/@code = document(&quot;voc.xml&quot;)/systems/system[@codeSystemName=&quot;PersonalRelationshipRoleType&quot;]/code/@value" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-38">Error: When <emph>relatedEntity/@classCode</emph> is <emph>PRS</emph> , values in <emph>relatedEntity/code</emph> shall come from the <emph>PersonalRelationshipRoleType</emph> vocabulary.</diagnostic>
<text></text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M23" />
</xsl:template>
<xsl:template match="cda:informant/cda:relatedEntity[@classCode = &quot;PROV&quot;]/cda:code" priority="3999" mode="M23">
<fired-rule id="cda-relatedEntity-PROV" context="cda:informant/cda:relatedEntity[@classCode = &quot;PROV&quot;]/cda:code" role="" />
<xsl:choose>
<xsl:when test="@codeSystem = &quot;2.16.840.1.113883.6.96&quot; and @code = document(&quot;voc.xml&quot;)/systems/system[@codeSystemName=&quot;HealthcareProfessionals&quot;]/code/@value" />
<xsl:otherwise>
<failed-assert id="" test="@codeSystem = &quot;2.16.840.1.113883.6.96&quot; and @code = document(&quot;voc.xml&quot;)/systems/system[@codeSystemName=&quot;HealthcareProfessionals&quot;]/code/@value" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-40">Error: When <emph>relatedEntity/@classCode</emph> is <emph>PROV</emph> , and <emph>relatedEntity/code</emph> is present, the value shall come from SNOMED CT.</diagnostic>
<text></text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M23" />
</xsl:template>
<xsl:template match="text()" priority="-1" mode="M23" />
<xsl:template match="cda:informant/cda:relatedEntity[@classCode = &quot;CON&quot;]" priority="4000" mode="M24">
<fired-rule id="cda-relatedEntity-CON-warnings" context="cda:informant/cda:relatedEntity[@classCode = &quot;CON&quot;]" role="" />
<xsl:choose>
<xsl:when test="not(cda:code)" />
<xsl:otherwise>
<failed-assert id="" test="not(cda:code)" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-39">Warning: When <emph>relatedEntity/@classCode</emph> is <emph>CON</emph> , <emph>relatedEntity/code</emph> should not be present.</diagnostic>
<text></text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M24" />
</xsl:template>
<xsl:template match="text()" priority="-1" mode="M24" />
<xsl:template match="cda:ClinicalDocument/cda:informationRecipient" priority="4000" mode="M25">
<fired-rule id="cda-informationRecipient" context="cda:ClinicalDocument/cda:informationRecipient" role="" />
<xsl:choose>
<xsl:when test="cda:intendedRecipient/cda:informationRecipient|cda:intendedRecipient/cda:receivedOrganization" />
<xsl:otherwise>
<failed-assert id="" test="cda:intendedRecipient/cda:informationRecipient|cda:intendedRecipient/cda:receivedOrganization" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-41">Error: When <emph>informationRecipient</emph> is used, at least one <emph>informationRecipient/intendedRecipient/informationRecipient</emph> or <emph>informationRecipient/intendedRecipient/recievedOrganization</emph> shall be present.</diagnostic>
<text></text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M25" />
</xsl:template>
<xsl:template match="text()" priority="-1" mode="M25" />
<xsl:template match="cda:legalAuthenticator" priority="4000" mode="M26">
<fired-rule id="cda-legalAuthenticator" context="cda:legalAuthenticator" role="" />
<xsl:choose>
<xsl:when test="cda:assignedEntity/cda:assignedPerson" />
<xsl:otherwise>
<failed-assert id="" test="cda:assignedEntity/cda:assignedPerson" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-42">Error: The <emph>assignedEntity/assignedPerson</emph> element shall be present in a legalAuthenticator.</diagnostic>
<text></text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M26" />
</xsl:template>
<xsl:template match="text()" priority="-1" mode="M26" />
<xsl:template match="cda:authenticator" priority="4000" mode="M27">
<fired-rule id="cda-authenticator" context="cda:authenticator" role="" />
<xsl:choose>
<xsl:when test="cda:assignedEntity/cda:assignedPerson" />
<xsl:otherwise>
<failed-assert id="" test="cda:assignedEntity/cda:assignedPerson" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-43">Error: The <emph>assignedEntity/assignedPerson</emph> element shall be present in an <emph>authenticator</emph> element.</diagnostic>
<text></text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M27" />
</xsl:template>
<xsl:template match="text()" priority="-1" mode="M27" />
<xsl:template match="cda:participant/cda:associatedEntity" priority="4000" mode="M28">
<fired-rule id="cda-associatedEntity" context="cda:participant/cda:associatedEntity" role="" />
<xsl:choose>
<xsl:when test="cda:associatedPerson | cda:scopingOrganization" />
<xsl:otherwise>
<failed-assert id="" test="cda:associatedPerson | cda:scopingOrganization" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-44">Error: The <emph>participant/associatedEntity</emph> element shall have an <emph>associatedPerson</emph> or <emph>scopingOrganization</emph> element.</diagnostic>
<text></text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="not(../@typeCode = &quot;IND&quot;) or &#xA;                @classCode = &quot;PRS&quot; or @classCode = &quot;NOK&quot; or @classCode = &quot;ECON&quot; or @classCode = &quot;GUAR&quot;" />
<xsl:otherwise>
<failed-assert id="" test="not(../@typeCode = &quot;IND&quot;) or @classCode = &quot;PRS&quot; or @classCode = &quot;NOK&quot; or @classCode = &quot;ECON&quot; or @classCode = &quot;GUAR&quot;" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-45">Error: When <emph>participant/@typeCode</emph> is <emph>IND</emph> , <emph>participatingEntity/@classCode</emph> shall be <emph>PRS, NOK, ECON or GUAR.</emph> </diagnostic>
<text></text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="not(../@typeCode = &quot;IND&quot;) or &#xA;                @classCode = &quot;GUAR&quot; or &#xA;                count(cda:code/@code[.=document(&quot;voc.xml&quot;)/systems/system&#xA;                [@codeSystemName=&quot;PersonalRelationshipRoleType&quot;]/code/@value]) = 1" />
<xsl:otherwise>
<failed-assert id="" test="not(../@typeCode = &quot;IND&quot;) or @classCode = &quot;GUAR&quot; or count(cda:code/@code[.=document(&quot;voc.xml&quot;)/systems/system [@codeSystemName=&quot;PersonalRelationshipRoleType&quot;]/code/@value]) = 1" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-46">Error: When <emph>participatingEntity/@classCode</emph> is <emph>PRS, NOK or ECON</emph> then <emph>participatingEntity/code</emph> shall be present having a value drawn from the <emph>PersonalRelationshipRoleType</emph> domain.</diagnostic>
<text></text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="not(../@typeCode=&quot;HLD&quot;) or @classCode = &quot;POLHOLD&quot;" />
<xsl:otherwise>
<failed-assert id="" test="not(../@typeCode=&quot;HLD&quot;) or @classCode = &quot;POLHOLD&quot;" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-47">Error: When <emph>participant/@typeCode</emph> is <emph>HLD</emph> , <emph>participatingEntity/@classCode</emph> shall be <emph>POLHOLD</emph> .</diagnostic>
<text></text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="not(../@typeCode=&quot;HLD&quot;) or cda:scopingOrganization" />
<xsl:otherwise>
<failed-assert id="" test="not(../@typeCode=&quot;HLD&quot;) or cda:scopingOrganization" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-48">Error: When <emph>participant/@typeCode</emph> is <emph>HLD</emph> , <emph>participatingEntity/scopingOrganization </emph> shall be present.</diagnostic>
<text></text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M28" />
</xsl:template>
<xsl:template match="text()" priority="-1" mode="M28" />
<xsl:template match="cda:serviceEvent" priority="4000" mode="M29">
<fired-rule id="cda-serviceEvent" context="cda:serviceEvent" role="" />
<xsl:choose>
<xsl:when test="@classCode = &quot;PCPR&quot;" />
<xsl:otherwise>
<failed-assert id="" test="@classCode = &quot;PCPR&quot;" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-50">Error: The value of the <emph>serviceEvent/@classCode</emph> attribute shall be <emph>PCPR</emph> .</diagnostic>
<text></text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="cda:effectiveTime" />
<xsl:otherwise>
<failed-assert id="" test="cda:effectiveTime" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-53">Error: The <emph>effectiveTime</emph> element of the <emph>serviceEvent</emph> element shall be present.</diagnostic>
<text></text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M29" />
</xsl:template>
<xsl:template match="cda:ClinicalDocument" priority="3999" mode="M29">
<fired-rule id="cda-documentationOf" context="cda:ClinicalDocument" role="" />
<xsl:choose>
<xsl:when test="count(cda:documentationOf) = 1" />
<xsl:otherwise>
<failed-assert id="" test="count(cda:documentationOf) = 1" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-51">Error: Only one <emph>ClinicalDocument/documentationOf</emph> element shall be present.</diagnostic>
<text>Only one <emph>ClinicalDocument/documentationOf</emph> element must be present.</text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M29" />
</xsl:template>
<xsl:template match="cda:serviceEvent/cda:effectiveTime" priority="3998" mode="M29">
<fired-rule id="cda-effectiveTime" context="cda:serviceEvent/cda:effectiveTime" role="" />
<xsl:choose>
<xsl:when test="count(cda:low) = 1" />
<xsl:otherwise>
<failed-assert id="" test="count(cda:low) = 1" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-54">Error: The <emph>effectiveTime</emph> element shall contain both a <emph>low</emph> and a <emph>high</emph> element.</diagnostic>
<text></text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="count(cda:high) = 1" />
<xsl:otherwise>
<failed-assert id="" test="count(cda:high) = 1" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-54">Error: The <emph>effectiveTime</emph> element shall contain both a <emph>low</emph> and a <emph>high</emph> element.</diagnostic>
<text></text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M29" />
</xsl:template>
<xsl:template match="cda:performer/cda:assignedEntity" priority="3997" mode="M29">
<fired-rule id="cda-performer" context="cda:performer/cda:assignedEntity" role="" />
<xsl:choose>
<xsl:when test="count(cda:code) = 0 or cda:code/@codeSystem=&quot;2.16.840.1.113883.6.96&quot;" />
<xsl:otherwise>
<failed-assert id="" test="count(cda:code) = 0 or cda:code/@codeSystem=&quot;2.16.840.1.113883.6.96&quot;" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-59">Error: The <emph>performer/assigneEntity/code</emph> if present shall have a value drawn from the SNOMED CT <emph>healthcare professional </emph> subtype hierarchy.</diagnostic>
<text></text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="cda:assignedPerson | cda:representedOrganization" />
<xsl:otherwise>
<failed-assert id="" test="cda:assignedPerson | cda:representedOrganization" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-60">Error: Every <emph>performer/assignedEntity</emph> element shall have at least one <emph>assignedPerson</emph> or <emph>representedOrganization</emph> .</diagnostic>
<text></text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M29" />
</xsl:template>
<xsl:template match="text()" priority="-1" mode="M29" />
<xsl:template match="cda:serviceEvent" priority="4000" mode="M30">
<fired-rule id="cda-serviceEvent-warnings" context="cda:serviceEvent" role="" />
<xsl:choose>
<xsl:when test="cda:performer" />
<xsl:otherwise>
<failed-assert id="" test="cda:performer" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-55">Warning: A <emph>serviceEvent</emph> should have at least one <emph>performer</emph> .</diagnostic>
<text></text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M30" />
</xsl:template>
<xsl:template match="text()" priority="-1" mode="M30" />
<xsl:template match="/cda:ClinicalDocument/cda:code" priority="4000" mode="M31">
<fired-rule id="cda-componentOf" context="/cda:ClinicalDocument/cda:code" role="" />
<xsl:choose>
<xsl:when test="/cda:ClinicalDocument/cda:componentOf or &#xA;                not(document(&quot;voc.xml&quot;)/systems/system&#xA;                [@codeSystemName=&quot;LOINC&quot;]/code[@value = current()]/@displayName = &quot;DISCHARGE SUMMARIZATION NOTE&quot;)" />
<xsl:otherwise>
<failed-assert id="" test="/cda:ClinicalDocument/cda:componentOf or not(document(&quot;voc.xml&quot;)/systems/system [@codeSystemName=&quot;LOINC&quot;]/code[@value = current()]/@displayName = &quot;DISCHARGE SUMMARIZATION NOTE&quot;)" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-61">Error: If the Care Record Summary is a Discharge Summarization, then the <emph>componentOf</emph> element is required.</diagnostic>
<text></text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M31" />
</xsl:template>
<xsl:template match="cda:encompassingEncounter" priority="3999" mode="M31">
<fired-rule id="cda-encompassingEncounter" context="cda:encompassingEncounter" role="" />
<xsl:choose>
<xsl:when test="cda:id" />
<xsl:otherwise>
<failed-assert id="" test="cda:id" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-62">Error: The <emph>encompassingEncounter</emph> element shall have an <emph>id</emph> element.</diagnostic>
<text></text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="cda:effectiveTime" />
<xsl:otherwise>
<failed-assert id="" test="cda:effectiveTime" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-63">Error: The <emph>encompassingEncounter</emph> element shall have an <emph>effectiveTime</emph> element.</diagnostic>
<text></text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="cda:dischargeDispositionCode or &#xA;                not(document(&quot;voc.xml&quot;)/systems/system[@codeSystemName=&quot;LOINC&quot;]/&#xA;                code[@value = current()/ancestor::cda:ClinicalDocument/cda:code/@code]/@displayName = &#xA;                &quot;DISCHARGE SUMMARIZATION NOTE&quot;)" />
<xsl:otherwise>
<failed-assert id="" test="cda:dischargeDispositionCode or not(document(&quot;voc.xml&quot;)/systems/system[@codeSystemName=&quot;LOINC&quot;]/ code[@value = current()/ancestor::cda:ClinicalDocument/cda:code/@code]/@displayName = &quot;DISCHARGE SUMMARIZATION NOTE&quot;)" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-64">Error: If <emph>ClinicalDocument/code </emph> represents a Discharge Summarization Node, then <emph>dischargeDispositionCode</emph> shall be present.</diagnostic>
<text></text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M31" />
</xsl:template>
<xsl:template match="cda:encounterParticipant/cda:assignedEntity" priority="3998" mode="M31">
<fired-rule id="cda-encounterParticipant" context="cda:encounterParticipant/cda:assignedEntity" role="" />
<xsl:choose>
<xsl:when test="cda:assignedPerson | cda:representedOrganization" />
<xsl:otherwise>
<failed-assert id="" test="cda:assignedPerson | cda:representedOrganization" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-65">Error: The <emph>encounterParticipant/assignedEntity</emph> element shall have at least one <emph>assignedPerson</emph> or <emph>representedOrganization</emph> element present.</diagnostic>
<text></text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M31" />
</xsl:template>
<xsl:template match="cda:responsibleParty/cda:assignedEntity" priority="3997" mode="M31">
<fired-rule id="cda-responsibleParty" context="cda:responsibleParty/cda:assignedEntity" role="" />
<xsl:choose>
<xsl:when test="cda:assignedPerson | cda:representedOrganization" />
<xsl:otherwise>
<failed-assert id="" test="cda:assignedPerson | cda:representedOrganization" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-66">Error: The <emph>responsibleParty/assignedEntity</emph> element shall have at least one <emph>assignedPerson</emph> or <emph>representedOrganization</emph> element present.</diagnostic>
<text></text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M31" />
</xsl:template>
<xsl:template match="text()" priority="-1" mode="M31" />
<xsl:template match="cda:nonXMLBody" priority="4000" mode="M32">
<fired-rule id="nonXMLBody-warnings" context="cda:nonXMLBody" role="" />
<xsl:choose>
<xsl:when test="(cda:text = &quot;&quot; and cda:reference) or not(cda:reference)" />
<xsl:otherwise>
<failed-assert id="" test="(cda:text = &quot;&quot; and cda:reference) or not(cda:reference)" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L1-67">Warning: A <emph>nonXMLBody/text</emph> should not contain both a <emph>reference</emph> element and character data.</diagnostic>
<text></text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M32" />
</xsl:template>
<xsl:template match="text()" priority="-1" mode="M32" />
<xsl:template match="cda:section" priority="4000" mode="M33">
<fired-rule id="sectionRequirements" context="cda:section" role="" />
<xsl:choose>
<xsl:when test="cda:code" />
<xsl:otherwise>
<failed-assert id="" test="cda:code" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L2-1">Error: A <emph>section</emph> element shall have a <emph>code</emph> element.</diagnostic>
<text></text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="cda:text | cda:component" />
<xsl:otherwise>
<failed-assert id="" test="cda:text | cda:component" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L2-2">Error: A <emph>section</emph> shall contain at least one <emph>text </emph> element or one or more <emph>component</emph> elements.</diagnostic>
<text></text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="string-length(string(cda:text)) &gt; 0 or count(cda:component) &gt; 0" />
<xsl:otherwise>
<failed-assert id="" test="string-length(string(cda:text)) &gt; 0 or count(cda:component) &gt; 0" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L2-3">Error: All <emph>text</emph> or <emph>component</emph> elements shall contain content.</diagnostic>
<text></text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M33" />
</xsl:template>
<xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody" priority="3999" mode="M33">
<fired-rule id="Level2AndRequiredSections" context="/cda:ClinicalDocument/cda:component/cda:structuredBody" role="" />
<xsl:choose>
<xsl:when test="/cda:ClinicalDocument/cda:templateId[@extension = &quot;IMPL_CDAR2_LEVEL2&quot; and &#xA;            @root=&quot;2.16.840.1.113883.10&quot;]" />
<xsl:otherwise>
<failed-assert id="" test="/cda:ClinicalDocument/cda:templateId[@extension = &quot;IMPL_CDAR2_LEVEL2&quot; and @root=&quot;2.16.840.1.113883.10&quot;]" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<text>This document contains a structured body. It should also conform to Level 2 requirements.</text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="descendant-or-self::cda:section/cda:code/@code=&quot;11535-2&quot; or &#xA;                descendant-or-self::cda:section/cda:code/@code=&quot;11450-4&quot;" />
<xsl:otherwise>
<failed-assert id="" test="descendant-or-self::cda:section/cda:code/@code=&quot;11535-2&quot; or descendant-or-self::cda:section/cda:code/@code=&quot;11450-4&quot;" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L2-4">Error: A Care Record Summary shall include a <emph>section</emph> element whose code is <emph>11450-4 or 11535-2</emph> .</diagnostic>
<text></text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="descendant-or-self::cda:section/cda:code/@code=&quot;10155-0&quot; or &#xA;                descendant-or-self::cda:section/cda:code/@code=&quot;8658-7&quot;" />
<xsl:otherwise>
<failed-assert id="" test="descendant-or-self::cda:section/cda:code/@code=&quot;10155-0&quot; or descendant-or-self::cda:section/cda:code/@code=&quot;8658-7&quot;" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L2-5">Error: A <emph>section</emph> shall be present with a <emph>code</emph> value of <emph>10155-0</emph> or <emph>8658-7</emph> .</diagnostic>
<text></text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M33" />
</xsl:template>
<xsl:template match="/cda:ClinicalDocument[document(&quot;voc.xml&quot;)/systems/system[@codeSystemName=&quot;LOINC&quot;]/code[&#xA;            @displayName = &quot;DISCHARGE SUMMARIZATION NOTE&quot;]/@value = cda:code/@code]/cda:component" priority="3998" mode="M33">
<fired-rule id="DischargeSections" context="/cda:ClinicalDocument[document(&quot;voc.xml&quot;)/systems/system[@codeSystemName=&quot;LOINC&quot;]/code[&#xA;            @displayName = &quot;DISCHARGE SUMMARIZATION NOTE&quot;]/@value = cda:code/@code]/cda:component" role="" />
<xsl:choose>
<xsl:when test="descendant-or-self::cda:section/cda:code/@code=&quot;10183-2&quot;" />
<xsl:otherwise>
<failed-assert id="" test="descendant-or-self::cda:section/cda:code/@code=&quot;10183-2&quot;" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L2-6">Error: A Discharge summary shall include a <emph>section</emph> element whose code is <emph>10183-2</emph> .</diagnostic>
<text></text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="descendant-or-self::cda:section/cda:code/@code=&quot;10160-0&quot;" />
<xsl:otherwise>
<failed-assert id="" test="descendant-or-self::cda:section/cda:code/@code=&quot;10160-0&quot;" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L2-7">Error: A Summary of Episode note that is not also a discharge summary shall include a <emph>section</emph> element whose code is <emph>10160-0</emph> .</diagnostic>
<text></text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="descendant-or-self::cda:section/cda:code/@code=&quot;8648-8&quot;" />
<xsl:otherwise>
<failed-assert id="" test="descendant-or-self::cda:section/cda:code/@code=&quot;8648-8&quot;" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L2-8">Error: A level 2 conforming Care Record Summary that is a discharge summary shall contain a <emph>section</emph> with the <emph>code</emph> value of <emph>8648-8</emph> .</diagnostic>
<text></text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M33" />
</xsl:template>
<xsl:template match="cda:section/cda:code[@code=&quot;46239-0&quot;]" priority="3997" mode="M33">
<fired-rule id="ConflictingSections" context="cda:section/cda:code[@code=&quot;46239-0&quot;]" role="" />
<xsl:choose>
<xsl:when test="count(//cda:section/cda:code[@code=&quot;29299-5&quot; or @code=&quot;10154-3&quot;])=0" />
<xsl:otherwise>
<failed-assert id="" test="count(//cda:section/cda:code[@code=&quot;29299-5&quot; or @code=&quot;10154-3&quot;])=0" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L2-11">Error: A level 2 conforming Care Record Summary that contains a <emph>section</emph> with a <emph>code</emph> value of <emph>46239-0</emph> (CHIEF COMPLAINT+REASON FOR VISIT) shall not contain sections with a code value of <emph>29299-5</emph> (REASON FOR VISIT) or <emph>10154-3</emph> (CHIEF COMPLAINT), and vice versa.</diagnostic>
<text></text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M33" />
</xsl:template>
<xsl:template match="text()" priority="-1" mode="M33" />
<xsl:template match="cda:section/cda:code[@code=&quot;29299-5&quot;]" priority="4000" mode="M34">
<fired-rule id="" context="cda:section/cda:code[@code=&quot;29299-5&quot;]" role="" />
<xsl:choose>
<xsl:when test="false()" />
<xsl:otherwise>
<failed-assert id="" test="false()" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L2-9">Manual: The section type code for the section describing the reason for visit in a level 2 conforming Care Record Summary shall be either <emph>46239-0</emph> (CHIEF COMPLAINT+REASON FOR VISIT), or <emph>29299-5</emph> (REASON FOR VISIT).</diagnostic>
<text>Manually verify that this section contains a chief complaint.</text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M34" />
</xsl:template>
<xsl:template match="cda:section/cda:code[@code=&quot;46239-0&quot;]" priority="3999" mode="M34">
<fired-rule id="" context="cda:section/cda:code[@code=&quot;46239-0&quot;]" role="" />
<xsl:choose>
<xsl:when test="false()" />
<xsl:otherwise>
<failed-assert id="" test="false()" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L2-9">Manual: The section type code for the section describing the reason for visit in a level 2 conforming Care Record Summary shall be either <emph>46239-0</emph> (CHIEF COMPLAINT+REASON FOR VISIT), or <emph>29299-5</emph> (REASON FOR VISIT).</diagnostic>
<diagnostic id="L2-10">Manual: The section type code for the section describing the patient's chief complaint in a level 2 conforming Care Record Summary shall be either <emph>46239-0</emph> (CHIEF COMPLAINT+REASON FOR VISIT), or <emph>10154-3</emph> (CHIEF COMPLAINT).</diagnostic>
<text>Manually verify that this section contains both a chief complaint and the reason for visit.</text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M34" />
</xsl:template>
<xsl:template match="cda:section/cda:code[@code=&quot;10154-3&quot;]" priority="3998" mode="M34">
<fired-rule id="" context="cda:section/cda:code[@code=&quot;10154-3&quot;]" role="" />
<xsl:choose>
<xsl:when test="false()" />
<xsl:otherwise>
<failed-assert id="" test="false()" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L2-10">Manual: The section type code for the section describing the patient's chief complaint in a level 2 conforming Care Record Summary shall be either <emph>46239-0</emph> (CHIEF COMPLAINT+REASON FOR VISIT), or <emph>10154-3</emph> (CHIEF COMPLAINT).</diagnostic>
<text>Manually verify that this section contains both a chief complaint and the reason for visit.</text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M34" />
</xsl:template>
<xsl:template match="cda:section/cda:code[@code=&quot;10154-3&quot;]" priority="3997" mode="M34">
<fired-rule id="" context="cda:section/cda:code[@code=&quot;10154-3&quot;]" role="" />
<xsl:choose>
<xsl:when test="false()" />
<xsl:otherwise>
<failed-assert id="" test="false()" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L2-10">Manual: The section type code for the section describing the patient's chief complaint in a level 2 conforming Care Record Summary shall be either <emph>46239-0</emph> (CHIEF COMPLAINT+REASON FOR VISIT), or <emph>10154-3</emph> (CHIEF COMPLAINT).</diagnostic>
<text>Manually verify that this section contains both a chief complaint and the reason for visit.</text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M34" />
</xsl:template>
<xsl:template match="cda:section/cda:code[@code=&quot;42349-1&quot;]" priority="3996" mode="M34">
<fired-rule id="" context="cda:section/cda:code[@code=&quot;42349-1&quot;]" role="" />
<xsl:choose>
<xsl:when test="false()" />
<xsl:otherwise>
<failed-assert id="" test="false()" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L2-12">Manual: The <emph>code</emph> for the <emph>section</emph> describing the Reason for Referral in a level 2 conforming Care Record Summary shall be <emph>42349-1</emph> (REASON FOR REFERRAL).</diagnostic>
<text>Manually verify that this section contains the reason for referral.</text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M34" />
</xsl:template>
<xsl:template match="cda:section/cda:code[@code=&quot;42348-3&quot;]" priority="3995" mode="M34">
<fired-rule id="" context="cda:section/cda:code[@code=&quot;42348-3&quot;]" role="" />
<xsl:choose>
<xsl:when test="false()" />
<xsl:otherwise>
<failed-assert id="" test="false()" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L2-13">Manual: The <emph>code</emph> for the <emph>section</emph> describing the patient's Advance Directives in a level 2 conforming Care Record Summary SHALL be <emph>42348-3</emph> (ADVANCE DIRECTIVES).</diagnostic>
<text>Manually verify that this section contains the patient's Advance Directives.</text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M34" />
</xsl:template>
<xsl:template match="cda:section/cda:code[@code=&quot;10164-2&quot;]" priority="3994" mode="M34">
<fired-rule id="" context="cda:section/cda:code[@code=&quot;10164-2&quot;]" role="" />
<xsl:choose>
<xsl:when test="false()" />
<xsl:otherwise>
<failed-assert id="" test="false()" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L2-14">Manual: The <emph>code</emph> for the <emph>section</emph> describing the History of Present Illness in a level 2 conforming Care Record Summary SHALL be <emph>10164-2</emph> (HISTORY OF PRESENT ILLNESS).</diagnostic>
<text>Manually verify that this section contains the History of Present Illness.</text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M34" />
</xsl:template>
<xsl:template match="cda:section/cda:code[@code = &quot;10158-4&quot;]" priority="3993" mode="M34">
<fired-rule id="" context="cda:section/cda:code[@code = &quot;10158-4&quot;]" role="" />
<xsl:choose>
<xsl:when test="false()" />
<xsl:otherwise>
<failed-assert id="" test="false()" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L2-15">Manual: The LOINC section type <emph>code</emph> for the section describing the patient's functional status in a level 2 conforming Care Record Summary shall be <emph>10158-4</emph> (HISTORY OF FUNCTIONAL STATUS).</diagnostic>
<text>Manually verify that this section contains the patient's functional status</text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M34" />
</xsl:template>
<xsl:template match="cda:section/cda:code[@code = &quot;10157-6&quot;]" priority="3992" mode="M34">
<fired-rule id="" context="cda:section/cda:code[@code = &quot;10157-6&quot;]" role="" />
<xsl:choose>
<xsl:when test="false()" />
<xsl:otherwise>
<failed-assert id="" test="false()" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L2-16">Manual: The LOINC section type <emph>code</emph> for the section providing family history of the patient in a level 2 conforming Care Record Summary shall be <emph>10157-6</emph> (HISTORY OF FAMILY MEMBER DISEASES).</diagnostic>
<text>Manually verify that this section contains family history of the patient</text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M34" />
</xsl:template>
<xsl:template match="cda:section/cda:code[@code = &quot;11369-6&quot;]" priority="3991" mode="M34">
<fired-rule id="" context="cda:section/cda:code[@code = &quot;11369-6&quot;]" role="" />
<xsl:choose>
<xsl:when test="false()" />
<xsl:otherwise>
<failed-assert id="" test="false()" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L2-17">Manual: The LOINC section type <emph>code</emph> for the <emph>section</emph> providing immunization history in a level 2 conforming Care Record Summary shall be <emph>11369-6</emph> (HISTORY OF IMMUNIZATION).</diagnostic>
<text>Manually verify that this section contains immunization history</text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M34" />
</xsl:template>
<xsl:template match="cda:section/cda:code[@code = &quot;10167-5&quot;]" priority="3990" mode="M34">
<fired-rule id="" context="cda:section/cda:code[@code = &quot;10167-5&quot;]" role="" />
<xsl:choose>
<xsl:when test="false()" />
<xsl:otherwise>
<failed-assert id="" test="false()" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L2-18">Manual: The LOINC section type <emph>code</emph> for the section describing the patient's past surgical history in a level 2 conforming Care Record Summary shall be <emph>10167-5</emph> (PAST SURGICAL HISTORY).</diagnostic>
<text>Manually verify that this section contains the patient's past surgical history</text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M34" />
</xsl:template>
<xsl:template match="cda:section/cda:code[@code = &quot;11346-4&quot;]" priority="3989" mode="M34">
<fired-rule id="" context="cda:section/cda:code[@code = &quot;11346-4&quot;]" role="" />
<xsl:choose>
<xsl:when test="false()" />
<xsl:otherwise>
<failed-assert id="" test="false()" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L2-19">Manual: The LOINC section <emph>code</emph> used for the section describing only prior outpatient visits in a level 2 conforming Care Record Summary shall be <emph>11346-4</emph> (HISTORY OF OUTPATIENT VISITS).</diagnostic>
<text>Manually verify that this section contains only prior outpatient visits</text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M34" />
</xsl:template>
<xsl:template match="cda:section/cda:code[@code = &quot;11336-5&quot;]" priority="3988" mode="M34">
<fired-rule id="" context="cda:section/cda:code[@code = &quot;11336-5&quot;]" role="" />
<xsl:choose>
<xsl:when test="false()" />
<xsl:otherwise>
<failed-assert id="" test="false()" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L2-20">Manual: The LOINC section <emph>code</emph> used for the section describing only prior hospitalizations in a level 2 conforming Care Record Summary shall be <emph>11336-5</emph> (HISTORY OF HOSPITALIZATIONS).</diagnostic>
<text>Manually verify that this section contains only prior hospitalizations</text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M34" />
</xsl:template>
<xsl:template match="cda:section/cda:code[@code = &quot;46240-8&quot;]" priority="3987" mode="M34">
<fired-rule id="" context="cda:section/cda:code[@code = &quot;46240-8&quot;]" role="" />
<xsl:choose>
<xsl:when test="false()" />
<xsl:otherwise>
<failed-assert id="" test="false()" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L2-21">Manual: The LOINC section <emph>code</emph> used for the section describing both prior hospitalizations and prior outpatient visits in a level 2 conforming Care Record Summary shall be <emph>46240-8</emph> (HISTORY OF HOSPITALIZATIONS+HISTORY OF OUTPATIENT VISITS).</diagnostic>
<text>Manually verify that this section contains both prior hospitalizations and prior outpatient visits</text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M34" />
</xsl:template>
<xsl:template match="cda:section/cda:code[@code = &quot;10187-3&quot;]" priority="3986" mode="M34">
<fired-rule id="" context="cda:section/cda:code[@code = &quot;10187-3&quot;]" role="" />
<xsl:choose>
<xsl:when test="false()" />
<xsl:otherwise>
<failed-assert id="" test="false()" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L2-22">Manual: The LOINC section <emph>code</emph> used for the section describing the Review of Systems in a level 2 conforming Care Record Summary shall be <emph>10187-3</emph> (REVIEW OF SYSTEMS).</diagnostic>
<text>Manually verify that this section contains the Review of Systems</text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M34" />
</xsl:template>
<xsl:template match="cda:section/cda:code[@code = &quot;10184-0&quot;]" priority="3985" mode="M34">
<fired-rule id="" context="cda:section/cda:code[@code = &quot;10184-0&quot;]" role="" />
<xsl:choose>
<xsl:when test="false()" />
<xsl:otherwise>
<failed-assert id="" test="false()" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L2-23">Manual: The LOINC section <emph>code</emph> used for the section describing the Physical Examination given at Discharge from a hospital in a level 2 conforming Care Record Summary shall be <emph>10184-0</emph> (HOSPITAL DISCHARGE PHYSICAL).</diagnostic>
<text>Manually verify that this section contains the Physical Examination given at Discharge from a hospital</text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M34" />
</xsl:template>
<xsl:template match="cda:section/cda:code[@code = &quot;22029-3&quot;]" priority="3984" mode="M34">
<fired-rule id="" context="cda:section/cda:code[@code = &quot;22029-3&quot;]" role="" />
<xsl:choose>
<xsl:when test="false()" />
<xsl:otherwise>
<failed-assert id="" test="false()" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L2-24">Manual: The LOINC section <emph>code</emph> used for the section describing the Physical Examination at times other than discharge from a hospital in a level 2 conforming Care Record Summary shall be <emph>22029-3 </emph> (PHYSICAL EXAM.TOTAL).</diagnostic>
<text>Manually verify that this section contains the Physical Examination at times other than discharge from a hospital</text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M34" />
</xsl:template>
<xsl:template match="cda:section/cda:code[@code = &quot;8716-3&quot;]" priority="3983" mode="M34">
<fired-rule id="" context="cda:section/cda:code[@code = &quot;8716-3&quot;]" role="" />
<xsl:choose>
<xsl:when test="false()" />
<xsl:otherwise>
<failed-assert id="" test="false()" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L2-25">Manual: The LOINC section <emph>code</emph> used for the section providing the patient vital signs in a level 2 conforming Care Record Summary shall be <emph>8716-3</emph> (VITAL SIGNS, PHYSICAL FINDINGS).</diagnostic>
<text>Manually verify that this section contains the patient vital signs</text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M34" />
</xsl:template>
<xsl:template match="cda:section/cda:code[@code = &quot;46242-4&quot;]" priority="3982" mode="M34">
<fired-rule id="" context="cda:section/cda:code[@code = &quot;46242-4&quot;]" role="" />
<xsl:choose>
<xsl:when test="false()" />
<xsl:otherwise>
<failed-assert id="" test="false()" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L2-26">Manual: The LOINC section <emph>code</emph> used for the section describing the Fetal Vital Signs in a level 2 conforming Care Record Summary shall be <emph>46242-4 </emph> (VITAL MEASUREMENTS, FETUS )</diagnostic>
<text>Manually verify that this section contains the Fetal Vital Signs</text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M34" />
</xsl:template>
<xsl:template match="cda:section/cda:code[@code = &quot;11493-4&quot;]" priority="3981" mode="M34">
<fired-rule id="" context="cda:section/cda:code[@code = &quot;11493-4&quot;]" role="" />
<xsl:choose>
<xsl:when test="false()" />
<xsl:otherwise>
<failed-assert id="" test="false()" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L2-27">Manual: The LOINC section <emph>code</emph> used for the section describing results or referring to other reports in a level 2 conforming Care Record Summary shall be <emph>11493-4 </emph> (HOSPITAL DISCHARGE STUDIES SUMMARY), or <emph>30954-2</emph> (RELEVANT DIAGNOSTIC TESTS AND/OR LABORATORY DATA)</diagnostic>
<text>Manually verify that this section contains results or referring to other reports</text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M34" />
</xsl:template>
<xsl:template match="cda:section/cda:code[@code = &quot;30954-2&quot;]" priority="3980" mode="M34">
<fired-rule id="" context="cda:section/cda:code[@code = &quot;30954-2&quot;]" role="" />
<xsl:choose>
<xsl:when test="false()" />
<xsl:otherwise>
<failed-assert id="" test="false()" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L2-27">Manual: The LOINC section <emph>code</emph> used for the section describing results or referring to other reports in a level 2 conforming Care Record Summary shall be <emph>11493-4 </emph> (HOSPITAL DISCHARGE STUDIES SUMMARY), or <emph>30954-2</emph> (RELEVANT DIAGNOSTIC TESTS AND/OR LABORATORY DATA)</diagnostic>
<text>Manually verify that this section contains results or referring to other reports</text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M34" />
</xsl:template>
<xsl:template match="cda:section/cda:code[@code = &quot;18775-6&quot;]" priority="3979" mode="M34">
<fired-rule id="" context="cda:section/cda:code[@code = &quot;18775-6&quot;]" role="" />
<xsl:choose>
<xsl:when test="false()" />
<xsl:otherwise>
<failed-assert id="" test="false()" role="">
<xsl:attribute name="location"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:attribute>
<diagnostic id="L2-28">Manual: The LOINC section <emph>code</emph> used for the section describing the plan of care for the patient in a level 2 conforming Care Record Summary shall be <emph>18775-6 </emph> (TREATMENT PLAN).</diagnostic>
<text>Manually verify that this section contains the plan of care for the patient</text>
</failed-assert>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates mode="M34" />
</xsl:template>
<xsl:template match="text()" priority="-1" mode="M34" />
<xsl:template match="text()" priority="-1" />
</xsl:stylesheet>
